Upstream information

CVE-2018-12910 at MITRE

Description

The get_cookies function in soup-cookie-jar.c in libsoup 2.63.2 allows attackers to have unspecified impact via an empty hostname.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
SUSE Bugzilla entry: 1100097 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-Storage-4-2019-25
SUSE Linux Enterprise Desktop 12 SP3
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1497
SUSE Linux Enterprise Desktop 12 SP4
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libsoup-2_4-1
SUSE Linux Enterprise Module for Basesystem 15
  • libsoup >= 2.62.2-3.3.32
  • libsoup-2_4-1 >= 2.62.2-3.3.32
  • libsoup-lang >= 2.62.2-3.3.32
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-989
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libsoup-2_4-1 >= 2.62.2-3.3.32
  • libsoup-lang >= 2.62.2-3.3.32
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libsoup-2_4-1
SUSE Linux Enterprise Module for Desktop Applications 15
  • libsoup >= 2.62.2-3.3.32
  • libsoup-devel >= 2.62.2-3.3.32
  • typelib-1_0-Soup-2_4 >= 2.62.2-3.3.32
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-989
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • libsoup-devel >= 2.62.2-3.3.32
  • typelib-1_0-Soup-2_4 >= 2.62.2-3.3.32
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 GA libsoup-devel
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-25
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-25
SUSE Linux Enterprise Server 12 SP3
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1497
SUSE Linux Enterprise Server 12 SP4
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libsoup-2_4-1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-25
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-25
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1497
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libsoup >= 2.62.2-5.7.1
  • libsoup-devel >= 2.62.2-5.7.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1497
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libsoup-devel >= 2.62.2-5.7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libsoup-devel
SUSE OpenStack Cloud 7
  • libsoup >= 2.62.2-5.7.1
  • libsoup-2_4-1 >= 2.62.2-5.7.1
  • libsoup-2_4-1-32bit >= 2.62.2-5.7.1
  • libsoup-lang >= 2.62.2-5.7.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-5.7.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-25
openSUSE Leap 15.0
  • libsoup >= 2.62.2-lp150.2.3.1
  • libsoup-2_4-1 >= 2.62.2-lp150.2.3.1
  • libsoup-2_4-1-32bit >= 2.62.2-lp150.2.3.1
  • libsoup-2_4-1-32bit-debuginfo >= 2.62.2-lp150.2.3.1
  • libsoup-2_4-1-debuginfo >= 2.62.2-lp150.2.3.1
  • libsoup-debugsource >= 2.62.2-lp150.2.3.1
  • libsoup-devel >= 2.62.2-lp150.2.3.1
  • libsoup-devel-32bit >= 2.62.2-lp150.2.3.1
  • libsoup-lang >= 2.62.2-lp150.2.3.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-lp150.2.3.1
Patchnames:
openSUSE-2019-1310
openSUSE Leap 42.3
  • libsoup >= 2.62.2-8.1
  • libsoup-2_4-1 >= 2.62.2-8.1
  • libsoup-2_4-1-32bit >= 2.62.2-8.1
  • libsoup-2_4-1-debuginfo >= 2.62.2-8.1
  • libsoup-2_4-1-debuginfo-32bit >= 2.62.2-8.1
  • libsoup-debugsource >= 2.62.2-8.1
  • libsoup-devel >= 2.62.2-8.1
  • libsoup-devel-32bit >= 2.62.2-8.1
  • libsoup-lang >= 2.62.2-8.1
  • typelib-1_0-Soup-2_4 >= 2.62.2-8.1
Patchnames:
openSUSE-2018-856


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 libsoup Released
SUSE Linux Enterprise Module for Basesystem 15 GA libsoup Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA libsoup Released
SUSE Linux Enterprise SDK 11 SP4 libsoup Affected
SUSE Linux Enterprise SDK 12 SP3 libsoup Released
SUSE Linux Enterprise Server 11 SP3 LTSS libsoup Affected
SUSE Linux Enterprise Server 11 SP4 libsoup Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libsoup Affected
SUSE Linux Enterprise Server 12 SP3 libsoup Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libsoup Released